Page MenuHomePhabricator

Wikimedia DC haunted by mysterious cron failure
Closed, ResolvedPublic

Description

Wikimedia DC's server regularly gets this error message:

/etc/cron.daily/logrotate:
error: mediawiki-debug:5 compression program bzip2 is not an executable file
error: found error in /var/www/wikimediadc/public_html/w/debug.log , skipping

Cron sends out an email when this happens; the email always gets stuck in a spam filter and this has been the case for at least a year. It may be prudent to do something about this now that we have sysadmins.

Event Timeline

Harej created this task.Sep 10 2015, 1:02 AM
Harej raised the priority of this task from to Needs Triage.
Harej updated the task description. (Show Details)
Harej added a project: Wikimedia-DC.
Harej added subscribers: Harej, Isarra, Emufarmers, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 1:02 AM

I think the issue was /etc/logrotate.d/mediawiki-debug. I've removed it.

Harej added a comment.EditedSep 13 2015, 3:48 AM

What did it do? Or what was it supposed to do?

/var/www/wikimediadc/public_html/w/debug.log {
  weekly
  rotate 20
  missingok
  compresscmd bzip2
  compress
  delaycompress
  missingok
  postrotate
    for service in apache2; do
      if /usr/bin/pgrep -P 1 $service >/dev/null; then
        /usr/sbin/invoke-rc.d $service graceful > /dev/null
      fi
    done
  endscript
}

It rotated the file debug.log in the MediaWiki directory, but that file doesn't exist. Perhaps this was left over from a previous package install.

Legoktm closed this task as Resolved.Sep 13 2015, 11:06 PM
Legoktm assigned this task to Emufarmers.
Legoktm set Security to None.
Harej moved this task from Backlog to Done on the Wikimedia-DC board.Oct 20 2015, 6:13 AM